version: '2'

services:
  app:
    image: 'qieam-project:latest'
    build:
      context: .
    container_name: qieam
    ports:
      - 8080:8080
    depends_on:
      - postgres
    environment:
      - SPRING_DATASOURCE_URL=jdbc:postgresql://postgres:5432/qieam
      - SPRING_DATASOURCE_USERNAME=qieam
      - SPRING_DATASOURCE_PASSWORD=sFn5@Ppldm12?!
      - SPRING_JPA_HIBERNATE_DDL_AUTO=update
          
  postgres:
    image: 'postgres:13.1-alpine'
    container_name: postgres
    environment:
      - POSTGRES_USER=qieam
      - POSTGRES_PASSWORD=sFn5@Ppldm12?!
      - POSTGRES_DB=qieam
      - POSTGRES_PORT=5432
    restart: unless-stopped
    volumes:
      - ./data/postgres:/var/lib/postgresql/data
    restart: always
    ports:
      - "5432:5432"